Bug 1295290 - IpTypes.hpp seems to depend on HAVE_CONFIG_H
IpTypes.hpp seems to depend on HAVE_CONFIG_H
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coin-or-Ipopt (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 01:16 EST by Christoph Höger
Modified: 2016-04-25 23:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: coin-or-Ipopt-3.12.4-10.fc23 coin-or-Ipopt-3.12.4-12.fc24 coin-or-Ipopt-3.12.4-12.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-09 10:24:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Höger 2016-01-04 01:16:38 EST
Description of problem:
The devel files of coin-or-IpOpt seem to depend on the HAVE_CONFIG_FLAG

Version-Release number of selected component (if applicable):
coin-or-Ipopt-devel-3.12.4-3.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. gcc -E /usr/include/coin/IpTypes.hpp

Actual results:
...
typedef FORTRAN_INTEGER_TYPE ipfint;


Expected results:
...
typedef int ipfint;


Additional info:
There is a HAVE_CONFIG_H switch in /usr/include/coin/IpoptConfig.h - the default config config_ipopt_default.h does not set FORTRAN_INTEGER_TYPE.

This occurs when compiling an app e.g. using cmake (thus without HAVE_CONFIG_H)
Comment 1 Fedora Update System 2016-03-16 12:27:18 EDT
coin-or-Ipopt-3.12.4-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-098bfac75b
Comment 2 Paulo Andrade 2016-03-16 12:30:16 EDT
Sorry for the delay handling this report.
I submitted a corrected package for f23, f24 and rawhide.
Comment 3 Fedora Update System 2016-03-18 21:26:28 EDT
coin-or-Ipopt-3.12.4-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-098bfac75b
Comment 4 Fedora Update System 2016-04-07 15:15:14 EDT
coin-or-Ipopt-3.12.4-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ea2dc153b5
Comment 5 Fedora Update System 2016-04-07 15:15:20 EDT
coin-or-Ipopt-3.12.4-12.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fb7b7e6ac4
Comment 6 Fedora Update System 2016-04-08 12:52:39 EDT
coin-or-Ipopt-3.12.4-12.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fb7b7e6ac4
Comment 7 Fedora Update System 2016-04-08 17:49:39 EDT
coin-or-Ipopt-3.12.4-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ea2dc153b5
Comment 8 Fedora Update System 2016-04-09 10:24:02 EDT
coin-or-Ipopt-3.12.4-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-04-13 17:35:15 EDT
coin-or-Ipopt-3.12.4-12.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-25 23:24:25 EDT
coin-or-Ipopt-3.12.4-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.